<?php

namespace App\Http\Controllers\Backend;

use Illuminate\Support\Str;
use Illuminate\Http\Request;
use App\Models\Backend\Category;
use App\Http\Controllers\Controller;
use App\Models\Backend\Opinion;
use Illuminate\Support\Facades\Auth;
use App\Traits\Backend\FileUpload\FileUploadTrait;

class OpinionController extends Controller
{
    use FileUploadTrait;
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    
    public function index()
    {
        $data['opinions'] = Opinion::orderBy('id','DESC')
                                        ->get();
        return view('backend.opinion.index',$data);
    }

    
   

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Backend\Category  $category
     * @return \Illuminate\Http\Response
     */
    public function show(Category $category)
    {
        //
    }

   

   

    
    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Backend\Opinion  $opinion
     * @return \Illuminate\Http\Response
     */
    public function delete(Opinion $opinion)
    {
        $data['opinion'] = $opinion;
        $view =  view('backend.opinion.delete',$data)->render();
        return response()->json([
            'status' => true,
            'html' => $view
        ]);
    }
    
    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Backend\Opinion  $opinion
     * @return \Illuminate\Http\Response
     */
    public function destroy(Opinion $opinion)
    { 
        $opinion->delete();
        return redirect()->back()->with('success','Opinion Deleted Successfully');
    }
    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Backend\Opinion  $opinion
     * @return \Illuminate\Http\Response
     */
    public function bulkDestroy(Request $request)
    {
        ini_set('max_execution_time', 28800);
        Opinion::whereIn('id',$request->ids)->delete();
        
        return response()->json([
            'status' => true,
            'mess' => "Opinion Deleted Successfully"
        ]);
        
    }



}
