<!DOCTYPE html>
<html lang="en">
    <?php
        $setting = App\Models\Backend\Setting::find(1);
    ?>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title><?php echo e($setting->site_title); ?> - <?php echo e($setting->tagline); ?></title>
    <link rel="icon" href="<?php echo e(asset('storage/setting/site-icon/'.$setting->site_icon)); ?>" sizes="32x32" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.3/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.css" integrity="sha512-yHknP1/AwR+yx26cB1y0cjvQUMvEa2PFzt1c9LlS4pRQ5NOTZFWbhBig+X9G9eYW/8m0/4OXNx8pxJ6z57x0dw==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick-theme.min.css" integrity="sha512-17EgCFERpgZKcm0j0fEq1YCJuyAWdz9KUtv1EjVuaOz8pDnh/0nZxmU6BBXwaaxqoi9PQXnRWqlcDB027hgv9A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="<?php echo e(asset('frontend-assets')); ?>/assets/css/styles.css">

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/1.11.0/jquery.min.js" integrity="sha512-h9kKZlwV1xrIcr2LwAPZhjlkx+x62mNwuQK5PAu9d3D+JXMNlGx8akZbqpXvp0vA54rz+DrqYVrzUGDMhwKmwQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
</head>
 
<body>
    
    <header class="fix-head">
        <nav class="navbar navbar-light navbar-expand-md py-3">
            <div class="container">
                <a href="<?php echo e(route('frontend.webview.menu.list')); ?>">
                    <i class="bi bi-text-left"></i>
                </a>
                <img class="log-img" src="<?php echo e(asset('storage/setting/apps-logo/'.$setting->apps_logo)); ?>" style="width: 220px; height:auto;">
                <a href="<?php echo e(route('frontend.webview.notification.list')); ?>">
                    <span class="bs-icon-sm bs-icon-rounded bs-icon-primary d-flex justify-content-center align-items-center me-2 bs-icon">
                        <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="currentColor" viewBox="0 0 16 16" class="bi bi-bell-fill">
                        <path d="M8 16a2 2 0 0 0 2-2H6a2 2 0 0 0 2 2zm.995-14.901a1 1 0 1 0-1.99 0A5.002 5.002 0 0 0 3 6c0 1.098-.5 6-2 7h14c-1.5-1-2-5.902-2-7 0-2.42-1.72-4.44-4.005-4.901z"></path>
                        </svg>
                    </span>
                </a>
            </div>
        </nav>
        <section class="search">
            <div class="container">
                <div class="row">
                    <div class="input-group rounded">
                        <span class="input-group-text" id="search-addon" style="margin-right: -40px; background: transparent; border: none;">
                            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="currentColor" viewBox="0 0 16 16" class="bi bi-search">
                                <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z"></path>
                            </svg>
                        </span>
                        <input type="search" class="form-control rounded search_field" placeholder="  প্রয়োজনীয় সেবার নাম লিখুন" aria-label="Search" aria-describedby="search-addon" style="background: rgb(0 0 0 / 7%); padding-left: 40px;">
                    </div>
                </div>
            </div>
        </section>
    </header>
    
    <!---------------------------->
    <div class="search_result"></div>
    <!---------------------------->

   

    <section class="necessary-services">
        <div class="container">
            <div class="row">
                <div class="col" style="text-align: center;">
                    <?php echo $__env->make('backend.dashboard.includes.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
            </div>
        </div>
    </section>

    <section class="necessary-services">
        <div class="container">
            
            <style>
                .cbox-text {
                text-align: center;
            }
            </style>
            <div class="row fd" style="padding-bottom: 10px;">
                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>     
                <div class="col-6" style="padding-bottom: 10px;">
                    <a href="<?php echo e(route('frontend.webview.subcategory.bycategory.index',$item->slug)); ?>">
                        <div class="category-box" style="background-image: url(<?php echo e(asset('storage/category/'.$item->photo)); ?>);">
                            
                        </div>
                        <div class="cbox-text">
                            <h1><?php echo e($item->name); ?></h1>
                        </div>
                        
                    </a>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>           
           
        </div>
    </section>

    <!-- The Popup Modal -->
    <style>
        .modal-content {
            height: 100%;
            background: #4caf50;
        }
        .modal-content .card-title {
            color: white;
        }
    </style>
    <!-- The Popup Modal -->
    <div id="myModal" class="modal">
        <!-- Modal content -->
        <div class="modal-content contact-form-wrapper d-flex justify-content-center">
            <div class="card" style="width: 100%; border: 1px solid transparent; background: transparent;">
                <div class="card-body text-center">
                    <h5 class="card-title">মতামত প্রদান করুন</h5>
                    <br>
                    <!--span class="close">&times;</span-->
                    <div class="email text-center">
                        <form action="<?php echo e(route('frontend.webview.store.opinion')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <input class="form-control rounded mb-3" name="name" type="text" placeholder="  আপনার নাম " aria-label="default input example" required max="200" />
                            <input class="form-control rounded mb-3" name="phone" type="tel" placeholder="  আপনার মোবাইল নাম্বার  " aria-label="default input example" required max="20"/>
                            <textarea id="message" name="opinion" class="form-control rounded mb-3 form-text-area" rows="13" cols="30" placeholder="আপনার মতামত" required></textarea>
                            <br />
                            
                            <input type="submit" class="btn btn-success" value="প্রদান করুন"/>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>



    
    <footer class="text-center py-5">
        <div class="navigation-mobile">
            <div class="navigation-list">
                <a href="<?php echo e(route('frontend.webview.about.us.list')); ?>" class="navigation-icon"><i class="bi bi-newspaper"></i> </a>
                
                <a id="myBtn" class="navigation-icon"><i class="bi bi-chat-text"></i></a>
                <a href="<?php echo e(route('frontend.webview.home.index')); ?>" class="navigation-icon"><i class="bi bi-house-door-fill"></i> </a>
                <a href="tel:<?php echo e($setting->phone); ?>" class="navigation-icon"><i class="bi bi-telephone"></i> </a>
                <a href="<?php echo e($setting->facebook_messenger_url); ?>" class="navigation-icon" target="_blank"><i class="bi bi-messenger"></i> </a>
            </div>
        </div>
    </footer>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.js" integrity="sha512-XtmMtDEcNz2j7ekrtHvOVR4iwwaD6o/FUJe6+Zq+HgcCsk3kj4uSQQR8weQ2QVj1o0Pk6PwYLohm206ZzNfubg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

   <!--- Search Field --->
    <script>
        $(document).on('keyup','.search_field',function(){
            var search = $(this).val();
            if(($(this).val().length) < 1){
                $('.search_result').html("");
                return;
            } 
            $.ajax({
                url:"<?php echo e(route('frontend.webview.main.post.search')); ?>",
                data:{search:search},
                success:function(response){
                    if(response.status == true)
                    {
                        $('.search_result').html(response.data);
                    }else{
                        $('.search_result').html("");
                    }
                },
            });
        });
        $(document).on('click','.close_search_field',function(){
            var search = $('.search_field').val('');
            $('.search_result').html("");
        });
    </script>


     <!--- Others nesessari box --->
    <script>
        $(document).ready(function(){
            $('.fd-slick').slick({
                infinite: true,
                slidesToShow: 2,
                slidesToScroll: 1,
                dots: true,
            });
        });
    </script>

     <!-- The Popup Modal -->
     <script>
        // Get the modal
        var modal = document.getElementById('myModal');
        
        // Get the button that opens the modal
        var btn = document.getElementById("myBtn");
        
        // Get the <span> element that closes the modal
        var span = document.getElementsByClassName("close")[0];
        
        // When the user clicks the button, open the modal 
        btn.onclick = function() {
            modal.style.display = "block";
        }
        
        // When the user clicks on <span> (x), close the modal
        span.onclick = function() {
            modal.style.display = "none";
        }
        
        // When the user clicks anywhere outside of the modal, close it
        window.onclick = function(event) {
            if (event.target == modal) {
                modal.style.display = "none";
            }
        }
    </script>
    <!-- The Popup Modal -->
</body>

</html><?php /**PATH E:\xampp\htdocs\Laravel_8\rajon_vai\fisheries\111022\resources\views/frontend/landing/home.blade.php ENDPATH**/ ?>