<!DOCTYPE html>
<html lang="en">

    <?php
        $set = App\Models\Backend\Setting::findOrFail(1);
    ?>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title><?php echo e($set->site_title); ?> - <?php echo e($set->tagline); ?> </title>
    <link rel="icon" href="<?php echo e(asset('storage/setting/site-icon/'.$set->site_icon)); ?>" sizes="32x32" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.3/font/bootstrap-icons.css">
    <link rel="stylesheet" href="<?php echo e(asset('frontend-assets')); ?>/assets/css/styles.css">
</head>
  
<body>
    
    <?php echo $__env->yieldContent('main-section'); ?>


    <!-- The Popup Modal -->
    <style>
        .modal-content {
            height: 100%;
            background: #4caf50;
        }
        .modal-content .card-title {
            color: white;
        }
    </style>
    <!-- The Popup Modal -->
    <div id="myModal" class="modal">
        <!-- Modal content -->
        <div class="modal-content contact-form-wrapper d-flex justify-content-center">
            <div class="card" style="width: 100%; border: 1px solid transparent; background: transparent;">
                <div class="card-body text-center">
                    <h5 class="card-title">মতামত প্রদান করুন</h5>
                    <br>
                    <!--span class="close">&times;</span-->
                    <div class="email text-center">
                        <form action="<?php echo e(route('frontend.webview.store.opinion')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <input class="form-control rounded mb-3" name="name" type="text" placeholder="  আপনার নাম " aria-label="default input example" required max="200" />
                            <input class="form-control rounded mb-3" name="phone" type="tel" placeholder="  আপনার মোবাইল নাম্বার  " aria-label="default input example" required max="20"/>
                            <textarea id="message" name="opinion" class="form-control rounded mb-3 form-text-area" rows="13" cols="30" placeholder="আপনার মতামত" required></textarea>
                            <br />
                            
                            <input type="submit" class="btn btn-success" value="প্রদান করুন"/>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <footer class="text-center py-5">
        <div class="navigation-mobile">
            <div class="navigation-list">
                <a href="<?php echo e(route('frontend.webview.about.us.list')); ?>" class="navigation-icon"><i class="bi bi-newspaper"></i> </a>
                
                <a id="myBtn" class="navigation-icon"><i class="bi bi-chat-text"></i></a>
                <a href="<?php echo e(route('frontend.webview.home.index')); ?>" class="navigation-icon"><i class="bi bi-house-door-fill"></i> </a>
                <a href="tel:<?php echo e($set->phone); ?>" class="navigation-icon"><i class="bi bi-telephone"></i> </a>
                <a href="<?php echo e($set->facebook_messenger_url); ?>" class="navigation-icon" target="_blank"><i class="bi bi-messenger"></i> </a>
            </div>
        </div>
    </footer>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    
    
    <script>
        $(document).on('keyup','.search_field',function(){
            var search = $(this).val();
            if(($(this).val().length) < 1){
                $('.search_result').html("");
                return;
            } 
            $.ajax({
                url:"<?php echo e(route('frontend.webview.main.post.search')); ?>",
                data:{search:search},
                success:function(response){
                    if(response.status == true)
                    {
                        $('.search_result').html(response.data);
                    }else{
                        $('.search_result').html("");
                    }
                },
            });
        });
        $(document).on('click','.close_search_field',function(){
            var search = $('.search_field').val('');
            $('.search_result').html("");
        });
    </script>
    <!-- The Popup Modal -->
     <script>
        // Get the modal
        var modal = document.getElementById('myModal');
        
        // Get the button that opens the modal
        var btn = document.getElementById("myBtn");
        
        // Get the <span> element that closes the modal
        var span = document.getElementsByClassName("close")[0];
        
        // When the user clicks the button, open the modal 
        btn.onclick = function() {
            modal.style.display = "block";
        }
        
        // When the user clicks on <span> (x), close the modal
        span.onclick = function() {
            modal.style.display = "none";
        }
        
        // When the user clicks anywhere outside of the modal, close it
        window.onclick = function(event) {
            if (event.target == modal) {
                modal.style.display = "none";
            }
        }
    </script>
    <!-- The Popup Modal -->
    

</body>

</html><?php /**PATH /home/flidorg/public_html/resources/views/frontend/layouts/master.blade.php ENDPATH**/ ?>